## mythtv 33.0+fixes.20230210.026e506

=== debian/changelog ===
mythtv (2:33.0+fixes.20230210.026e506-0mx23+1) mx; urgency=medium

  * Added a status argument for the mythtv-backend sysv init script
  * Modified mythtv-setup.sh & fixed a small error in dialog_functions.sh
  * to make mythtv-setup work properly with sysvinit as well as systemd.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 14 Dec 2023 10:51:51 -0500

mythtv (2:33.0+fixes.20230210.026e506-0mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 02 Nov 2023 14:45:35 -0400

mythtv (2:33.0+fixes.20230210.026e506-0ubuntu0) lunar; urgency=medium

  * Scripted Build from fixes git packaging [026e506]
  * [8e89bc0] bump the version to 33
  * [f22e9c2] bump the version to 33
  * [5b61960] update default_theme.patch for current master
  * [e214bfa] stop using deprecated rsyslog '~' action
  * New upstream checkout (026e506)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 10 Feb 2023 10:41:40 -0600

mythtv (2:33.0+fixes) lunar; urgency=medium

  * Dummy entry to bump version to 33

 -- Paul Harrison <mythtv@mythqml.net>  Wed, 02 Feb 2022 10:46:00 +0000

mythtv (2:32.0~master) focal; urgency=medium

  * Dummy entry to bump version to 32

 -- Paul Harrison <mythtv@mythqml.net>  Sat, 08 Feb 2020 14:35:39 -0700
