=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders:
 Mario Limonciello <superm1@ubuntu.com>,
 Andres Mejia <amejia@debian.org>,
Homepage: http://www.mythtv.org
Standards-Version: 3.9.4
Vcs-Git: git://github.com/MythTV/packaging.git
Build-Conflicts:
 libqt3-mt-dev,
Build-Depends:
 ccache,
 debhelper (>= 10),
 default-libmysqlclient-dev | libmysqlclient-dev,
 dh-python,
 fftw-dev,
 git,
 help2man,
 libasound2-dev,
 libass-dev,
 libavahi-compat-libdnssd-dev,
 libavc1394-dev,
 libbluray-dev,
 libcdaudio-dev,
 libcdio-cdda-dev,
 libcdio-dev,
 libcdio-paranoia-dev,
 libcdparanoia-dev | libcdparanoia0-dev,
 libcec-dev,
 libclass-dbi-perl,
 libdate-manip-perl,
 libdatetime-format-iso8601-perl,
 libdbd-mysql-perl,
 libdrm-dev,
 libdvdnav-dev,
 libdvdread-dev | libdvdread3-dev,
 libexif-dev (>= 0.6.9-6),
 libexiv2-dev,
 libfaad-dev | libfaad2-dev,
 libfftw3-dev,
 libflac-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev | libgl-dev,
 libgnutls28-dev,
 libhdhomerun-dev,
 libiec61883-dev,
 libimage-size-perl,
 libimlib2-dev,
 libio-socket-inet6-perl,
 libjson-perl,
 liblircclient-dev,
 liblzo2-dev,
 libmad0-dev,
 libmp3lame-dev | liblame-dev,
 libnet-upnp-perl,
 libpulse-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 libraspberrypi-dev [armhf],
 libsamplerate0-dev,
 libsoap-lite-perl,
 libsoundtouch-dev,
 libssl-dev,
 libsystemd-dev,
 libtag1-dev,
 libtiff5-dev | libtiff4-dev | libtiff-dev,
 libudev-dev,
 libva-dev,
 libvdpau-dev | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
 libvisual-0.4-dev,
 libvorbis-dev,
 libvpx-dev,
 libwww-perl,
 libx264-dev,
 libxcb-shm0-dev,
 libxext-dev | xlibs-static-dev (<< 6.8.1-1),
 libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
 libxml-simple-perl,
 libxml-xpath-perl,
 libxml2-dev,
 libxnvctrl-dev,
 libxrandr-dev,
 libxv-dev,
 libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
 libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
 libzip-dev,
 linux-kernel-headers | linux-headers-generic,
 lsb-release,
 nasm,
 po-debconf,
 python3,
 python3-future,
 python3-lxml,
 python3-mysqldb,
 python3-requests,
 python3-setuptools,
 python3-simplejson,
 qt5-qmake,
 qtdeclarative5-dev,
 qtscript5-dev,
 quilt,
 uuid-dev,

Package: mythtv
Architecture: all
Depends:
 default-mysql-server | virtual-mysql-server | mysql-server-5.7 | mysql-server-5.6 | mariadb-server,
 mythtv-backend,
 mythtv-database,
 mythtv-frontend,
 ntp | time-daemon | ntp-simple,
 ${misc:Depends},
Suggests:
 mythtv-doc,
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the Metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: amd64 arm64
Pre-Depends:
 pwgen,
Depends:
 adduser,
 default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
 fonts-dejavu,
 fonts-droid-fallback | fonts-droid | ttf-droid,
 fonts-liberation | ttf-liberation,
 fonts-texgyre | tex-gyre,
 fonts-tlwg-purisa,
 libgnutls30,
 libxml-xpath-perl,
 pciutils,
 python3,
 python3-future,
 python3-lxml,
 python3-mysqldb,
 python3-requests,
 python3-requests-cache,
 python3-simplejson,
 usbutils,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Suggests:
 mythtv-doc,
Conflicts:
 mythcontrols,
 mythmusic (<< 0.20.99+trunk14393),
 mythtv (<< 0.8-1),
 mythtv-theme-blootube,
 mythtv-theme-blootube-wide,
 mythtv-theme-blootubelite-wide,
 mythtv-theme-childish,
 mythtv-theme-glass-wide,
 mythtv-theme-gray-osd,
 mythtv-theme-isthmus,
 mythtv-theme-iulius,
 mythtv-theme-metallurgy,
 mythtv-theme-minimalist-wide,
 mythtv-theme-mythcenter,
 mythtv-theme-mythcenter-wide,
 mythtv-theme-neon-wide,
 mythtv-theme-proejctgrayhem-wide,
 mythtv-theme-projectgrayhem,
 mythtv-theme-retro,
 mythtv-theme-titivillus,
 mythtv-themes,
 mythweather (<< 0.20.99+trunk14393),
Replaces:
 mythcontrols,
 mythcontrols (<< 0.20.trunk19500),
 mythmusic (<< 0.20.99+trunk14393),
 mythtv (<< 0.8-1),
 mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
 mythtv-database (<< 0.24.0~trunk25638),
 mythtv-frontend (<< 0.23.0~trunk23548),
 mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4),
 mythtv-theme-gray-osd,
 mythtv-theme-isthmus,
 mythtv-theme-mythcenter,
 mythtv-theme-mythcenter-wide,
 mythvideo,
 mythweather (<< 0.20.99+trunk14393),
Breaks:
 mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
 mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4),
 mythvideo,
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts:
 mythtv (<< 0.8-1),
Section: doc
Replaces:
 mythtv (<< 0.8-1),
Depends:
 ${misc:Depends},
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends:
 cron,
 default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
 libdbd-mysql-perl,
 mythtv-common,
 ${misc:Depends},
Recommends:
 update-notifier | update-notifier-kde,
Conflicts:
 mythtv (<< 0.8-1),
 mythtv-common (<< 0.8-2),
Replaces:
 mythtv (<< 0.8-1),
 mythtv-common (<< 0.8-2),
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: amd64 arm64
Depends:
 cron,
 libjs-jquery,
 libxml-simple-perl,
 mythtv-common,
 mythtv-transcode-utils,
 python3,
 wget,
 xterm,
 zenity | kdebase-bin,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 mythtv (<< 0.8-1),
Replaces:
 mythtv (<< 0.8-1),
 mythtv-frontend (<= 0.20-0.4),
Recommends:
 hdhomerun-config,
 libmyth-python,
 libmythtv-perl,
 logrotate,
 ntp | time-daemon | ntp-simple,
Suggests:
 mythtv-database,
 mythtv-frontend,
 mythweb,
 xmltv-util,
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: amd64 arm64
Depends:
 mythtv-common,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 mythtv-backend (<< 0.20.2-0ubuntu1),
Replaces:
 mythtv-backend (<< 0.20.2-0ubuntu1),
Suggests:
 mytharchive,
 mythtv-backend,
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: amd64 arm64
Depends:
 adduser,
 libegl1-mesa-dev [armhf],
 libgles2-mesa-dev [armhf],
 libmyth-python,
 libnotify-bin,
 libwww-perl,
 libxml-simple-perl,
 mythtv-common,
 python3,
 wmctrl,
 zenity | kdebase-bin,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libmythtv-perl,
 python3-pil,
 udisks2 | udisks,
Suggests:
 mythgame,
 mythmusic,
 mythtv-backend,
 mythweather,
 ntp | time-daemon | ntp-simple,
Conflicts:
 mythappearance (<< 0.21.0),
 mythflix (<< 0.23.0),
 mythstream (<< 0.21.0),
 mythtv (<< 0.8-1),
Replaces:
 mythappearance (<< 0.21.0),
 mythtv (<< 0.8-1),
 mythvideo,
Breaks:
 mythvideo,
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth
Architecture: amd64 arm64
Section: libs
Depends:
 libqt5sql5-mysql,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libmyth-0.23-0,
 libmyth-0.24-0,
 libmyth-0.25-0,
 libmyth-0.26-0,
 libmyth-0.27-0,
 libmyth-0.28-0,
 libmyth-0.29-0,
 libmyth-29-0,
 mythtv (<< 0.7-5),
Replaces:
 libmyth-0.23-0,
 libmyth-0.24-0,
 libmyth-0.25-0,
 libmyth-0.26-0,
 libmyth-0.27-0,
 libmyth-0.28-0,
 libmyth-0.29-0,
 libmyth-29-0,
 mythtv (<< 0.7-5),
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: amd64 arm64
Section: libdevel
Depends:
 libmyth (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libmyth-0.23-0-dev,
 libmyth-0.24-0-dev,
 libmyth-0.25-0-dev,
 libmyth-0.26-0-dev,
 libmyth-0.27-0-dev,
 libmyth-0.28-0-dev,
 libmyth-0.29-0-dev,
 libmyth-29-0-dev,
Replaces:
 libmyth-0.23-0-dev,
 libmyth-0.24-0-dev,
 libmyth-0.25-0-dev,
 libmyth-0.26-0-dev,
 libmyth-0.27-0-dev,
 libmyth-0.28-0-dev,
 libmyth-0.29-0-dev,
 libmyth-29-0-dev,
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: php-mythtv
Architecture: all
Depends:
 ${misc:Depends},
Description: PHP Bindings for MythTV
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for using PHP based applications that
 connect to MythTV backends.

Package: libmythtv-perl
